## python-lark 0.10.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Lark
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-lark 0.8.1

=== debian/changelog ===
python-lark (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Adding myself to the list of uploaders.
  * Updating debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Jan 2020 01:22:20 -0500

python-lark (0.7.8-2) unstable; urgency=medium

  * Team upload.
  * Removing lark_parser.egg-info in dh_auto_clean target.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Jan 2020 10:07:42 -0500

python-lark (0.7.8-1) unstable; urgency=medium

  * Initial release (Closes: #941657)

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 01 Jan 2020 21:12:43 +0100

=== debian/control ===
Source: python-lark
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Peter Wienemann <fossdev@posteo.de>,
           Andrius Merkys <merkys@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               mkdocs
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/lark-parser/lark
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lark
Vcs-Git: https://salsa.debian.org/python-team/modules/python-lark.git

Package: python3-lark
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-lark-doc
Description: Parsing library for Python (Python 3)
 lark is a parsing library for Python which allows one to parse any
 context-free grammar. It has implemented the following parsing
 algorithms: Earley, LALR(1) and CYK.
 .
 This package installs the library for Python 3.

Package: python-lark-doc
Architecture: all
Section: doc
Depends: ${mkdocs:Depends},
         ${misc:Depends}
Description: Parsing library for Python (common documentation)
 lark is a parsing library for Python which allows one to parse any
 context-free grammar. It has implemented the following parsing
 algorithms: Earley, LALR(1) and CYK.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DH_VERBOSE=1
# switch on verbose pybuild output
export PYBUILD_VERBOSE=1

export PYBUILD_NAME=lark

export LANG=C.UTF-8
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,mkdocs --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf html lark_parser.egg-info

override_dh_auto_build:
	dh_auto_build
	mkdocs build -d $(CURDIR)/html
	find $(CURDIR)/html -type f -name sitemap.xml.gz -delete

=== debian/tests/control ===
Tests: python3-lark
Depends: python3-lark

## python-lark 0.9.0

=== debian/changelog ===
python-lark (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

 -- Peter Wienemann <fossdev@posteo.de>  Tue, 07 Jul 2020 19:13:49 +0200

python-lark (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9

 -- Peter Wienemann <fossdev@posteo.de>  Tue, 16 Jun 2020 18:16:01 +0200

python-lark (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 14 Jun 2020 12:02:35 +0200

python-lark (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * d/source/lintian-overrides: Suppress obsolete mailing list message
  * d/rules: Remove IDE (uses js and css code from CDNs)
  * d/{control,rules}: Replace bundled jquery.js with packaged version
  * d/control: Bump debhelper-compat level to 13
  * d/copyright: Add copyright for file lark/__pyinstaller/hook-lark.py

 -- Peter Wienemann <fossdev@posteo.de>  Thu, 11 Jun 2020 18:23:11 +0200

python-lark (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5

 -- Andrius Merkys <merkys@debian.org>  Thu, 02 Apr 2020 07:34:52 -0400

python-lark (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * Update d/tests/control and d/tests/python3-lark so that autopkgtest is
    reliabily run for all supported python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Mar 2020 00:35:11 -0400

python-lark (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * d/copyright: Change standalone parser license to MPL-2.0
  * d/control: Bump Standards-Version to 4.5.0 (no changes required)
  * Drop patch fix-executable-not-elf-or-script-warning (fixed upstream)

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 07 Mar 2020 13:28:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Peter Wienemann <fossdev@posteo.de>,
            Andrius Merkys <merkys@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                mkdocs
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/lark-parser/lark
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lark
@@ -31,7 +31,8 @@
 Architecture: all
 Section: doc
 Depends: ${mkdocs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libjs-jquery
 Description: Parsing library for Python (common documentation)
  lark is a parsing library for Python which allows one to parse any
  context-free grammar. It has implemented the following parsing

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,12 @@
 	dh_auto_build
 	mkdocs build -d $(CURDIR)/html
 	find $(CURDIR)/html -type f -name sitemap.xml.gz -delete
+	# Remove IDE for the time being. It uses js and css code from CDNs.
+	# This code is not yet available in the Debian archive.
+	rm -rf $(CURDIR)/html/ide
+
+override_dh_auto_install:
+	dh_auto_install
+	# Patch out bundled jquery.js
+	rm html/js/jquery-2.1.1.min.js
+	ln -s /usr/share/javascript/jquery/jquery.js html/js/jquery-2.1.1.min.js

## python-lark 0.10.0

=== debian/changelog ===
python-lark (0.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Peter Wienemann ]
  * New upstream version 0.10.0
  * Remove Lintian override for mailing-list-obsolete-in-debian-infrastructure
  * Switch from mkdocs to sphinxdoc for documentation building
  * Build and install man page
  * d/rules: Drop IDE removal. New doc build dir does not contain IDE.
  * Add patches:
    - move man page to section 7
    - fix various typos
  * Replace duplicate files in HTML documentation with symlinks

  [ Andrius Merkys ]
  * Cleaning up docs/examples/.

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 25 Oct 2020 13:26:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: python-lark
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Peter Wienemann <fossdev@posteo.de>,
            Andrius Merkys <merkys@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               mkdocs
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               python3-sphinx-markdown-tables,
+               python3-sphinx-gallery,
+               python3-recommonmark,
+               jdupes
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/lark-parser/lark
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lark
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-lark.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lark
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-lark.git
 
 Package: python3-lark
 Architecture: all
@@ -30,9 +35,8 @@
 Package: python-lark-doc
 Architecture: all
 Section: doc
-Depends: ${mkdocs:Depends},
-         ${misc:Depends},
-         libjs-jquery
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
 Description: Parsing library for Python (common documentation)
  lark is a parsing library for Python which allows one to parse any
  context-free grammar. It has implemented the following parsing

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DH_VERBOSE=1
# switch on verbose pybuild output
export PYBUILD_VERBOSE=1

export PYBUILD_NAME=lark

export LANG=C.UTF-8
export LC_ALL=C.UTF-8

export DOCDIR=$(CURDIR)/debian/python-lark-doc/usr/share/doc/python-lark-doc

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build docs/examples lark_parser.egg-info

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman  docs/ build/man  # Manpage generator

override_dh_installexamples:
	dh_installexamples
	# Replace duplicate files in HTML documentation directory with symbolic links
	jdupes -rlO $(DOCDIR)/examples $(DOCDIR)/html

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# Look for new releases on GitHub
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lark-$1.tar.gz%" \
   https://github.com/lark-parser/lark/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-lark 1.1.1

=== docs/requirements.txt ===
# https://docs.readthedocs.io/en/stable/guides/specifying-dependencies.html#specifying-a-requirements-file
sphinx-gallery
sphinx_markdown_tables

=== debian/changelog ===
python-lark (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 13 Feb 2022 10:45:51 +0100

python-lark (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Drop patch pr1043 (merged upstream)
  * Update copyright years for Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Tue, 01 Feb 2022 19:31:02 +0100

python-lark (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * d/rules: Adjust to name change (lark-parser -> lark) in egg-info clean-up
  * d/copyright: Remove entry for examples/standalone/json_parser.py
  * Add patch to fix typo in man page: instanciated -> instantiated

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 20 Nov 2021 19:37:28 +0100

python-lark (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Dropping upstream-integrated patch.

 -- Andrius Merkys <merkys@debian.org>  Sun, 05 Sep 2021 01:15:05 -0400

python-lark (0.11.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0 (no changes required)
  * Add patch which fixes typos in comment of example code
  * Run build time and autopkgtest tests using "python<version> -m tests"
  * Suppress lintian tag override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
  * Drop patch which disables some unit tests
  * Update packaging copyright years

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 29 Aug 2021 11:45:54 +0200

python-lark (0.11.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Andrius Merkys ]
  * New upstream version 0.11.3
  * Removing patches as they are integrated upstream.
  * Skipping tests sensitive to relative paths.
  * Removing __pycache__ directories from examples in documentation.
  * Fixing lintian error privacy-breach-uses-embedded-file by using
    system-provided bootstrap.min.css.

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 Aug 2021 01:49:35 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx-gallery,
                python3-recommonmark,
                jdupes
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/lark-parser/lark
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lark
@@ -35,7 +35,8 @@
 Package: python-lark-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends},
+Depends: libjs-bootstrap4,
+         ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: Parsing library for Python (common documentation)
  lark is a parsing library for Python which allows one to parse any

=== debian/tests/control ===
Tests: python3-lark
Depends: python3-all,python3-lark

## python-lark 1.1.2

=== debian/changelog ===
python-lark (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 05 Mar 2022 16:58:41 +0100

## python-lark 1.1.5

=== debian/changelog ===
python-lark (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 07 Dec 2022 19:55:52 +0100

python-lark (1.1.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-lark-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:06:40 +0000

python-lark (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4
  * Update use-system-bootstrap patch
  * Add pybuild-plugin-pyproject to build dependencies
  * Run reprotest with diffoscope

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 05 Nov 2022 19:24:29 +0100

python-lark (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3
  * Bump copyright years.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.
  * Override lintian false positive.

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Oct 2022 02:30:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Andrius Merkys <merkys@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-sphinx,
@@ -14,7 +15,7 @@
                python3-sphinx-gallery,
                python3-recommonmark,
                jdupes
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/lark-parser/lark
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lark
@@ -38,6 +39,7 @@
 Depends: libjs-bootstrap4,
          ${sphinxdoc:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: Parsing library for Python (common documentation)
  lark is a parsing library for Python which allows one to parse any
  context-free grammar. It has implemented the following parsing

## python-lark 1.1.7

=== debian/changelog ===
python-lark (1.1.7-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream version 1.1.7
  * Update standards version to 4.6.2, no changes needed.

  [ Peter Wienemann ]
  * Override false positive Lintian error python-traceback-in-manpage
  * Add patch from upstream PR 1308 to include *.lark files
  * Add python3-atomicwrites and python3-regex as suggested dependencies
  * Update copyright years for Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Mon, 24 Jul 2023 21:19:20 +0200

## python-lark 1.1.8

=== debian/changelog ===
python-lark (1.1.8-1) unstable; urgency=medium

  * New upstream version 1.1.8
  * Drop patch pr1308 (applied upstream)

 -- Peter Wienemann <fossdev@posteo.de>  Mon, 23 Oct 2023 19:03:46 +0200

## python-lark 1.1.9

=== debian/changelog ===
python-lark (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9
  * Update copyright years for Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Fri, 12 Jan 2024 20:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-sphinx-gallery,
                python3-recommonmark,
                jdupes
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/lark-parser/lark
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lark
@@ -25,7 +25,9 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
-Suggests: python-lark-doc
+Suggests: python-lark-doc,
+          python3-atomicwrites,
+          python3-regex
 Description: Parsing library for Python (Python 3)
  lark is a parsing library for Python which allows one to parse any
  context-free grammar. It has implemented the following parsing

## python-lark 1.2.2

=== debian/changelog ===
python-lark (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Peter Wienemann <wiene@debian.org>  Wed, 14 Aug 2024 21:11:47 +0200

python-lark (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Update my email address in uploaders field
  * Bump Standards-Version to 4.7.0 (no changes required)

 -- Peter Wienemann <wiene@debian.org>  Tue, 13 Aug 2024 19:58:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Peter Wienemann <fossdev@posteo.de>,
+Uploaders: Peter Wienemann <wiene@debian.org>,
            Andrius Merkys <merkys@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -15,7 +15,7 @@
                python3-sphinx-gallery,
                python3-recommonmark,
                jdupes
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/lark-parser/lark
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lark

## python-lark 1.3.0

=== debian/changelog ===
python-lark (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Switch watch file format to version 5
  * Bump Standards-Version to 4.7.2 (no changes required)
  * Remove unused lintian override
    override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
  * Remove redundant "Rules-Requires-Root: no" from d/control
  * Update copyright years for Debian packaging and my email address
  * Adapt upstream copyright years to the declared ones

 -- Peter Wienemann <wiene@debian.org>  Sun, 28 Sep 2025 12:07:25 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
                python3-sphinx-gallery,
                python3-recommonmark,
                jdupes
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/lark-parser/lark
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lark
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lark.git

## python-lark 1.3.1

=== docs/Makefile ===


=== debian/changelog ===
python-lark (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * d/control: Mark python3-lark binary package "Multi-Arch: foreign"

 -- Peter Wienemann <wiene@debian.org>  Sat, 01 Nov 2025 10:52:13 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 Package: python3-lark
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends},
          ${misc:Depends}
 Suggests: python-lark-doc,

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export PYBUILD_VERBOSE=1
 
 export PYBUILD_NAME=lark
+
+export PYVERSIONS=$(shell py3versions -s)
 
 export LANG=C.UTF-8
 export LC_ALL=C.UTF-8
@@ -17,14 +19,22 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf build docs/examples lark_parser.egg-info
+	rm -rf build docs/examples lark.egg-info
 
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman  docs/ build/man  # Manpage generator
 
+# Run tests using "python<version> -m tests",
+# see https://github.com/lark-parser/lark/issues/792 for details
+override_dh_auto_test:
+	for python in $(PYVERSIONS); do \
+		PYTHONWARNINGS=d $$python -m tests 2>&1; \
+	done
+
 override_dh_installexamples:
 	dh_installexamples
 	# Replace duplicate files in HTML documentation directory with symbolic links
 	jdupes -rlO $(DOCDIR)/examples $(DOCDIR)/html
+	find $(DOCDIR) -name __pycache__ | xargs --no-run-if-empty rm -rf

=== debian/watch ===
Version: 5
Template: Github
Owner: lark-parser
Project: lark
